Page MenuHomePhabricator

Index: pages rendering does not renders correctly not existing fields
Closed, ResolvedPublic

Description

The Index: pages rendering does not sets the fields that are in the configuration but not in the index page. They are rendered by the string "{{{foo|}}}" and not by "".

Event Timeline

Tpt created this task.Nov 16 2017, 9:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2017, 9:11 AM

Change 392187 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Correctly expand optional parameters during Index: pages rendering

https://gerrit.wikimedia.org/r/392187

Change 392190 had a related patch set uploaded (by Tpt; owner: Tpt):
[mediawiki/extensions/ProofreadPage@master] Correctly expand optional parameters during Index: pages rendering

https://gerrit.wikimedia.org/r/392190

In the Index pages appeared a field {{{Illustrator}}} ("Иллюстратор {{{Иллюстратор}}}" in the ru-wikisource), to example. A null edit don't remove it.

Change 392190 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Correctly expand optional parameters during Index: pages rendering

https://gerrit.wikimedia.org/r/392190

In the Index pages appeared a field {{{Illustrator}}} ("Иллюстратор {{{Иллюстратор}}}" in the ru-wikisource), to example. A null edit don't remove it.

Fixed, by edit MediaWiki:Proofreadpage_index_data_config.

Bodhisattwa added a subscriber: Bodhisattwa.EditedNov 21 2017, 3:00 PM

In Bengali Wikisource, {{{Co-author1}}}, {{{Co-author2}}}, {{{Co-translator1}}}, {{{Co-translator2}}}, {{{Co-editor1}}}, {{{Co-editor2}}} and {{{Notes}}} are appearing in many index pages which are not being removed by hard purge and null-edit. For example, check this index page.

Tpt added a comment.Nov 21 2017, 3:10 PM

@Bodhisattwa I just did a null edit on the index page and it fixed the error. The correction of this bug is sadly going to roll out not this week because of Thanksgiving in the US but the week after (i.e. November 28th).

Tpt added a comment.Nov 29 2017, 9:44 PM

The correction for this change is now deployed. It seems to work now.

Tpt closed this task as Resolved.Nov 29 2017, 9:45 PM
Tpt claimed this task.